* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

.video-container {
  position: relative;
  max-width: 1100px;
  height: 620px;
  margin: 0 auto;
  padding: 20px;
  background: #f8f4eb; /* optional corkboard-like background */
}

.card {
  position: absolute;
  width: 380px;
  height: 260px;
  background: white;
  border-radius: 5px;
  overflow: hidden;
  box-shadow: 0 15px 30px rgba(0, 0, 0, 0.15);
  cursor: pointer;
  transition: all 0.4s ease;
}

.card:hover {
  transform: scale(1.03);
  box-shadow: 0 20px 35px rgba(0, 0, 0, 0.25);
  z-index: 10;
  cursor:
    url("paw2.png") 32 32,
    pointer;
}

.photo {
  width: 100%;
  height: 100%;
  object-fit: cover;
  transition: transform 0.5s ease;
}

.card:hover .photo {
  transform: scale(1.12);
}

.pin-1 {
  position: absolute;
  top: 100px;
  left: 210px;
  width: 85px;
  z-index: 30;
  pointer-events: none;
}

.pin-2 {
  position: absolute;
  top: 120px;
  right: 700px;
  width: 85px;
  z-index: 30;
  pointer-events: none;
}
.pin-3 {
  position: absolute;
  top: 100px;
  right: 230px;
  width: 85px;
  z-index: 30;
  pointer-events: none;
}
.pin-4 {
  position: absolute;
  top: 450px;
  left: 230px;
  width: 85px;
  z-index: 30;
  pointer-events: none;
}
.pin-5 {
  position: absolute;
  top: 450px;
  right: 720px;
  width: 85px;
  z-index: 30;
  pointer-events: none;
}
.pin-6 {
  position: absolute;
  top: 810px;
  left: 220px;
  width: 85px;
  z-index: 30;
  pointer-events: none;
}
.pin-7 {
  position: absolute;
  top: 810px;
  right: 700px;
  width: 85px;
  z-index: 30;
  pointer-events: none;
}
.pin-8 {
  position: absolute;
  top: 1160px;
  left: 220px;
  width: 85px;
  z-index: 30;
  pointer-events: none;
}
.card1 {
  top: 140px;
  left: 70px;
  transform: rotate(-8deg);
}

.card2 {
  top: 160px;
  right: 570px;
  transform: rotate(7deg);
}
.card3 {
  top: 140px;
  right: 90px;
  transform: rotate(-3deg);
}
.card4 {
  top: 500px;
  left: 60px;
  transform: rotate(5deg);
}
.card5 {
  top: 500px;
  right: 570px;
  transform: rotate(-4deg);
}
.card6 {
  top: 850px;
  left: 60px;
  transform: rotate(6deg);
}
.card7 {
  top: 850px;
  right: 570px;
  transform: rotate(2deg);
}
.card8 {
  position: relative;
  top: 1200px;
  left: 60px;
  transform: rotate(-5deg);
}
/* Modal */
.modal {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.95);
  z-index: 1000;
  align-items: center;
  justify-content: center;
}

.modal-content {
  position: relative;
  max-width: 90%;
  max-height: 90vh;
}

.modal-content img {
  max-width: 100%;
  max-height: 85vh;
  border-radius: 12px;
  box-shadow: 0 20px 50px rgba(0, 0, 0, 0.7);
}
.central-video {
  position: fixed;
  top: 87%;
  left: 92%;
  transform: translate(-50%, -50%);
  width: 200px;
  height: 170px;
  z-index: 5;

  overflow: hidden;

  animation: fadeInScale 1.4s ease forwards;
}

.central-video video {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
